adonthell-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[adonthell-wastesedge-commits] master 647bedb: ADDED building windows in


From: Kai Sterker
Subject: [adonthell-wastesedge-commits] master 647bedb: ADDED building windows installer for 32bit version
Date: Sat, 20 Aug 2016 22:42:31 +0000 (UTC)

branch: master
commit 647bedbca69315665fb8e8a0230ba3f62c763f16
Author: Kai Sterker <address@hidden>
Commit: Kai Sterker <address@hidden>

    ADDED building windows installer for 32bit version
---
 .gitignore                                   |    1 +
 win32/make_msi.sh                            |  141 ++++++++++++++------------
 win32/{wastesedge-x64.wxs => wastesedge.wxs} |    9 +-
 3 files changed, 82 insertions(+), 69 deletions(-)

diff --git a/.gitignore b/.gitignore
index c51f162..c441ba9 100644
--- a/.gitignore
+++ b/.gitignore
@@ -19,6 +19,7 @@ wastesedge.spec
 config.sub
 compile
 autom4te.cache
+wastesedge-*.tar.gz
 __pycache__
 *~
 *.gmo
diff --git a/win32/make_msi.sh b/win32/make_msi.sh
index b29a7a6..dadf97a 100755
--- a/win32/make_msi.sh
+++ b/win32/make_msi.sh
@@ -1,68 +1,75 @@
-#!/bin/sh
-
-# -- determine installer architecture (x64 or x86)
-adonthell_exe="adonthell-0.3.exe"
-
-# -- check arg
-if test "x$1" = "x" ; then
-  echo "Usage: $0 <path/to/Adonthell>"
-  exit 1
-fi
-
-if test ! -f $1"/bin/$adonthell_exe" ; then
-  echo "Error: $1 is not the expected adonthell package"
-  exit 1
-fi
-
-# -- get platform
-arch=`file ../../adonthell-0.3/Adonthell/bin/adonthell-0.3.exe | grep -o -e 
x86-64 -e 80386`
-case $arch in
-       x86-64)
-               arch="x64"
-               ;;
-       80386)
-               arch="x86"
-               ;;
-       *)
-               echo "Unknown platform $arch"
-               exit 1
-               ;;
-esac
-
-# -- check working directory
-if [ ! -f "wastesedge-$arch.wxs" ]; then
-  echo "This script must be run in the wastesedge-0.3.x/win32 directory"
-  exit 1
-fi
-
-# -- get adonthell version
-adonthell_ver=`$1/bin/$adonthell_exe -v`
-
-echo "Creating wastesedge-$adonthell_ver-$arch.msi"
-
-# -- clean up any __pycache__ directories before collecting package contents
-find ../../adonthell-0.3/Adonthell/ -name __pycache__ -execdir rm -rf 
__pycache__ \;
- 
-# -- collect package contents
-heat dir "$1" -cg WastesedgePackage -dr INSTALLDIR -gg -sfrag -srd -sw5150 
-template fragment -out package.wxs
-if [ $? -ne 0 ]; then
-   exit 1
-fi
-
-# -- compile
-candle -arch $arch -dVersion="$adonthell_ver" wastesedge-$arch.wxs package.wxs
-if [ $? -ne 0 ]; then
-   exit 1
-fi
-
-# -- link
-light -b $1 -sw1076 -ext WixUIExtension wastesedge-$arch.wixobj package.wixobj 
-o wastesedge-$adonthell_ver-$arch.msi
-if [ $? -ne 0 ]; then
-   exit 1
-fi
-
-# -- cleanup
-rm wastesedge-$adonthell_ver-$arch.wixpdb
-rm wastesedge-$arch.wixobj
-rm package.wixobj
+#!/bin/sh
+
+# -- determine installer architecture (x64 or x86)
+adonthell_exe="adonthell-0.3.exe"
+
+# -- check arg
+if test "x$1" = "x" ; then
+  echo "Usage: $0 <path/to/Adonthell>"
+  exit 1
+fi
+
+if test ! -f $1"/bin/$adonthell_exe" ; then
+  echo "Error: $1 is not the expected adonthell package"
+  exit 1
+fi
+
+# -- get platform
+arch=`file $1"/bin/$adonthell_exe" | grep -o -e x86-64 -e 80386`
+case $arch in
+       x86-64)
+               arch="x64"
+               ;;
+       80386)
+               arch="x86"
+               ;;
+       *)
+               echo "Unknown platform $arch"
+               exit 1
+               ;;
+esac
+
+# -- check working directory
+if [ ! -f "wastesedge.wxs" ]; then
+  echo "This script must be run in the wastesedge-0.3.x/win32 directory"
+  exit 1
+fi
+
+# -- check Wix Toolkit
+if [ ! -x "$(command -v heat)" ]; then
+  echo "This script requires the WiX toolset installed and in your PATH"
+  echo "See http://wixtoolset.org/";
+  exit 1
+fi
+
+# -- get adonthell version
+adonthell_ver=`$1/bin/$adonthell_exe -v`
+
+echo "Creating wastesedge-$adonthell_ver-$arch.msi"
+
+# -- clean up any __pycache__ directories before collecting package contents
+find $1 -name __pycache__ -execdir rm -rf __pycache__ \;
+ 
+# -- collect package contents
+heat dir "$1" -cg WastesedgePackage -dr INSTALLDIR -gg -sfrag -srd -sw5150 
-template fragment -out package.wxs
+if [ $? -ne 0 ]; then
+   exit 1
+fi
+
+# -- compile
+candle -arch $arch -dVersion="$adonthell_ver" -dArch="$arch" wastesedge.wxs 
package.wxs
+if [ $? -ne 0 ]; then
+   exit 1
+fi
+
+# -- link
+light -b $1 -sw1076 -ext WixUIExtension wastesedge.wixobj package.wixobj -o 
wastesedge-$adonthell_ver-$arch.msi
+if [ $? -ne 0 ]; then
+   exit 1
+fi
+
+# -- cleanup
+rm wastesedge-$adonthell_ver-$arch.wixpdb
+rm wastesedge.wixobj
+rm package.wixobj
 rm package.wxs
\ No newline at end of file
diff --git a/win32/wastesedge-x64.wxs b/win32/wastesedge.wxs
similarity index 92%
rename from win32/wastesedge-x64.wxs
rename to win32/wastesedge.wxs
index 52ea0d7..a25c8aa 100644
--- a/win32/wastesedge-x64.wxs
+++ b/win32/wastesedge.wxs
@@ -1,5 +1,10 @@
 <?xml version='1.0' encoding='windows-1252'?>
 <Wix xmlns='http://schemas.microsoft.com/wix/2006/wi'>
+       <?if $(var.Arch) = x64 ?>
+       <?define ProgramFiles = "ProgramFiles64Folder" ?>
+       <?else ?>
+       <?define ProgramFiles = "ProgramFilesFolder" ?>
+       <?endif ?>
     <Product Name="Adonthell - Waste's Edge" 
        Manufacturer='The Adonthell Team'
         Id='*' 
@@ -10,7 +15,7 @@
         <Package 
                Id='*' 
                Keywords='Installer' 
-               Platform="x64"
+               Platform="$(var.Arch)"
                Description="Adonthell Waste's Edge $(var.Version) Installer"
             Comments='� 2016 The Adonthell Team' 
             Manufacturer='The Adonthell Team'
@@ -26,7 +31,7 @@
        <Property Id="WIXUI_EXITDIALOGOPTIONALCHECKBOXTEXT" Value="Launch 
Adonthell - Waste's Edge." />
        <Property Id="ARPPRODUCTICON" Value="wastesedge.ico" />    
         <Directory Id='TARGETDIR' Name='SourceDir'>
-           <Directory Id='ProgramFiles64Folder' Name='PFiles'>
+           <Directory Id='$(var.ProgramFiles)' Name='PFiles'>
                        <Directory Id='Adonthell' Name='Adonthell'>
                        <Directory Id='INSTALLDIR' Name='Wastesedge' />
                 </Directory>



reply via email to

[Prev in Thread] Current Thread [Next in Thread]